/////////////                                                                                           
// GLOBALS //                                                                                           
/////////////                                                                                           
Texture2D shaderTexture;
SamplerState SampleType;

//////////////                                                                                          
// TYPEDEFS //                                                                                          
//////////////                                                                                          
struct PixelInputType
{
    float4 position : SV_POSITION;
    float2 tex : TEXCOORD0;
};

////////////////////////////////////////////////////////////////////////////////                        
// Pixel Shader                                                                                         
////////////////////////////////////////////////////////////////////////////////                        
float4 TexturePixelShader( PixelInputType input ) : SV_TARGET
{
    //return float4( 0.5, 0.5, 0.5, 0.5 );                                                              
    // Sample the pixel color from the texture using the sampler at this texture coordinate location.   
    float4 textureColor = shaderTexture.Sample( SampleType, input.tex );
    return textureColor;
}